Skip to main content
Interfaces

Submit a 255 Finance export batch

This method requires the InterfaceExports:255FinanceSubmit permission to be associated with your role.

POST
/gb/interface/exports/255finance/submit
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/x-www-form-urlencoded
dmz_upload_file_destination_idstringrequired

Credentials to use for submission process

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
dmz_upload_remote_prefixstring

(Optional) Remote directory prefix to use when submitting file to upload destination

Maximum string length: 255
Pattern: ^[a-zA-Z0-9\/\-\_]+$
interface_export_idstring

(Optional) Interface Export Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

bodyobject